package com.ycwl.basic.model.pc.task.resp;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/02 14:10
 * 任务列表
 */
@Data
@ApiModel("查询任务列表响应参数")
public class TaskRespVO {
    private Long id;
    /**
     * 执行任务的机器ID，render_worker.id
     */
    @ApiModelProperty("执行任务的机器ID")
    private Long workerId;
    private Long faceId;
    /**
     * 模板ID
     */
    @ApiModelProperty("模板ID")
    private Long templateId;
    /**
     * 景区ID
     */
    @ApiModelProperty("景区ID")
    private Long scenicId;
    /**
     * 任务参数，JSON字符串
     */
    @ApiModelProperty("任务参数")
    private String taskParams;
    /**
     * 视频链接，未完成状态下没有
     */
    @ApiModelProperty("视频链接")
    private String videoUrl;
    /**
     * 状态，0未完成，1已完成，2正在处理
     */
    @ApiModelProperty("状态")
    private Integer status;
    /**
     * 结果，不管成功还是失败
     */
    @ApiModelProperty("结果")
    private String result;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
}
