package com.ycwl.basic.service.mobile;

import com.github.pagehelper.PageInfo;
import com.ycwl.basic.model.mobile.scenic.ScenicAppVO;
import com.ycwl.basic.model.mobile.scenic.ScenicDeviceCountVO;
import com.ycwl.basic.model.mobile.scenic.ScenicIndexVO;
import com.ycwl.basic.model.mobile.scenic.account.ScenicLoginReq;
import com.ycwl.basic.model.mobile.scenic.account.ScenicLoginRespVO;
import com.ycwl.basic.model.mobile.scenic.content.ContentPageVO;
import com.ycwl.basic.model.pc.scenic.req.ScenicReqQuery;
import com.ycwl.basic.model.pc.scenic.resp.ScenicRespVO;
import com.ycwl.basic.utils.ApiResponse;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/6 10:23
 */
public interface AppScenicService {
    ApiResponse<PageInfo<ScenicAppVO>> pageQuery(ScenicReqQuery scenicReqQuery);

    ApiResponse<ScenicDeviceCountVO> deviceCountByScenicId(Long scenicId);

    ApiResponse<ScenicRespVO> getDetails(Long id);

    /**
     * 首页景区列表，按照距离排序
     *
     * @param scenicIndexVO
     * @return
     */
    ApiResponse<List<ScenicAppVO>> scenicList(ScenicIndexVO scenicIndexVO);


    ApiResponse<List<ContentPageVO>> faceContentList(Long userId, Long faceId);

    ApiResponse<ScenicLoginRespVO> login(ScenicLoginReq scenicLoginReq) throws Exception;

    ApiResponse<List<ContentPageVO>> contentListUseDefaultFace();

    ApiResponse<ScenicRespVO> getMyScenic();
}
